Retrieve Run Usage
curl --request GET \
--url https://api.example.com/api/v1/runs/{id}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/runs/{id}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/runs/{id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stages": [
{
"stage": {
"id": "propose-changes",
"name": "Propose Changes"
},
"model": {
"provider": "anthropic",
"model_id": "<string>",
"speed": "fast"
},
"usage": {
"tokens": {
"input": 0,
"output": 0,
"reasoning": 0,
"cache_read": 0,
"cache_write": 0
},
"cost": {
"usd_micros": 1,
"source": "catalog"
}
},
"timing": {
"wall_time_ms": 1500,
"inference_time_ms": 900,
"tool_time_ms": 200,
"active_time_ms": 1100
},
"started_at": "2026-04-29T12:34:56Z",
"state": "pending"
}
],
"totals": {
"timing": {
"wall_time_ms": 420000,
"inference_time_ms": 120000,
"tool_time_ms": 60000,
"active_time_ms": 180000
},
"usage": {
"tokens": {
"input": 0,
"output": 0,
"reasoning": 0,
"cache_read": 0,
"cache_write": 0
},
"cost": {
"usd_micros": 1,
"source": "catalog"
}
}
},
"by_model": [
{
"model": {
"provider": "anthropic",
"model_id": "<string>",
"speed": "fast"
},
"stages": 2,
"usage": {
"tokens": {
"input": 0,
"output": 0,
"reasoning": 0,
"cache_read": 0,
"cache_write": 0
},
"cost": {
"usd_micros": 1,
"source": "catalog"
}
}
}
]
}{
"errors": [
{
"status": "404",
"title": "Not Found",
"detail": "Run not found.",
"code": "access_token_expired",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leftover_env_keys": [
"<string>"
],
"removed_env_keys": [
"<string>"
]
}Run Outputs
Retrieve Run Usage
Returns token counts and costs broken down by stage and model for a specific run.
GET
/
api
/
v1
/
runs
/
{id}
/
usage
Retrieve Run Usage
Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
Path Parameters
Unique run identifier (ULID).
Response
Usage data
Complete usage breakdown for a single run.
⌘I